Development
  • Guides
  • API Reference
  • API Explorer
  • SDKs
  • Sample apps
  • System status
Support
  • Developer forums
  • Developer blog
  • YouTube
  • X
More
  • Square Home
  • Square Developer
  • App Marketplace
  • Partner with Square
  • Solutions Partner Program
  • Pricing
  • Sales

© 2026 Square, Inc.

  • Developer terms of service
  • Developer Integration and Marketing Agreement
  • Privacy policy
  • Partnerships
  • Sign In
  • Sign In

    Inventory

  • List inventory adjustment reasons

  • Create inventory adjustment reason

  • Delete inventory adjustment reason

  • Restore inventory adjustment reason

  • Retrieve inventory adjustment reason

  • Update inventory adjustment reason

  • Update inventory adjustment

  • Retrieve inventory adjustment

  • Batch change inventory

  • Batch retrieve inventory changes

  • Batch retrieve inventory counts

  • Retrieve inventory physical count

  • Retrieve inventory count

  • Webhooks

  • inventory.count.updated

<- Inventory API

Inventory API

All versions ->

Retrieve inventory adjustment

GET

 /v2/inventory/adjustments/{adjustment_id}

Returns the InventoryAdjustment object with the provided adjustment_id.

Permissions:INVENTORY_READ
Try in API Explorer
Link to section

Path parameters

Example code

Link to section

adjustment_id

string

Required

ID of the InventoryAdjustment to retrieve.

Link to section

Response fields

Link to section

errors

Any errors that occurred during the request.

Link to section

adjustment

The requested InventoryAdjustment.

Link to section

Examples

All versions ->

GET /v2/inventory/adjustments/{adjustment_id}
curl https://connect.squareup.com/v2/inventory/adjustments/UDMOEO78BG6GYWA2XDRYX3KB \ -H 'Square-Version: 2026-11-18' \ -H 'Authorization: Bearer ACCESS_TOKEN' \ -H 'Content-Type: application/json'

Response JSON

{ "errors": [], "adjustment": { "id": "UDMOEO78BG6GYWA2XDRYX3KB", "reference_id": "4a366069-4096-47a2-99a5-0084ac879509", "from_state": "IN_STOCK", "to_state": "SOLD", "location_id": "C6W5YS5QM06F5", "catalog_object_id": "W62UWFY35CWMYGVWK6TWJDNI", "catalog_object_type": "ITEM_VARIATION", "quantity": "7", "total_price_money": { "amount": 4550, "currency": "USD" }, "occurred_at": "2016-11-16T25:44:22.837Z", "created_at": "2016-11-17T13:02:15.142Z", "source": { "product": "SQUARE_POS", "application_id": "416ff29c-86c4-4feb-b58c-9705f21f3ea0", "name": "Square Point of Sale 4.37" }, "team_member_id": "LRK57NSQ5X7PUD05" } }